Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be available on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 661049 - FTBFS fvwm-2.5.30-2.fc14: ImplicitDSOLinking
Summary: FTBFS fvwm-2.5.30-2.fc14: ImplicitDSOLinking
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: fvwm
Version: rawhide
Hardware: All
OS: Linux
high
high
Target Milestone: ---
Assignee: Peter Lemenkov
QA Contact: Fedora Extras Quality Assurance
URL: http://linux.dell.com/files/fedora/Fi...
Whiteboard:
Depends On:
Blocks: F15FTBFS
TreeView+ depends on / blocked
 
Reported: 2010-12-07 18:48 UTC by FTBFS
Modified: 2011-06-16 19:05 UTC (History)
3 users (show)

Fixed In Version: fvwm-2.5.30-4.fc15
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-03-12 04:43:42 UTC
Type: ---


Attachments (Terms of Use)
root.log (249.83 KB, text/plain)
2010-12-07 18:48 UTC, FTBFS
no flags Details
build.log (87.30 KB, text/plain)
2010-12-07 18:48 UTC, FTBFS
no flags Details
mock.log (927 bytes, text/plain)
2010-12-07 18:49 UTC, FTBFS
no flags Details
root.log (429.42 KB, text/plain)
2010-12-07 18:49 UTC, FTBFS
no flags Details
build.log (83.57 KB, text/plain)
2010-12-07 18:49 UTC, FTBFS
no flags Details
mock.log (867 bytes, text/plain)
2010-12-07 18:49 UTC, FTBFS
no flags Details

Description FTBFS 2010-12-07 18:48:54 UTC
fvwm-2.5.30-2.fc14.src.rpm Failed To Build From Source against the rawhide tree.  See http://fedoraproject.org/wiki/FTBFS for more information.
This failure is due to a change in the linker default behavior, which uncovered a fault in your package.  See http://fedoraproject.org/wiki/Features/ChangeInImplicitDSOLinking .
If you believe this is actually a bug in another package, do NOT change the component in this bug or close this bug.  Instead, add the appropriate bug number from the other package to the "Depends on" line in this bug.  If the other package does not yet have a bug created that you think matches, please create one.  Doing so helps us properly track bugs and their dependencies, just as we track package dependencies.  (If you close this bug, and the other package is not fixed before the next FTBFS run, a new bug will get created.  Please follow the above advice to avoid such duplication.)

Comment 1 FTBFS 2010-12-07 18:48:57 UTC
Created attachment 467000 [details]
root.log


root.log for i386

Comment 2 FTBFS 2010-12-07 18:48:59 UTC
Created attachment 467001 [details]
build.log


build.log for i386

Comment 3 FTBFS 2010-12-07 18:49:00 UTC
Created attachment 467002 [details]
mock.log


mock.log for i386

Comment 4 FTBFS 2010-12-07 18:49:01 UTC
Created attachment 467003 [details]
root.log


root.log for x86_64

Comment 5 FTBFS 2010-12-07 18:49:02 UTC
Created attachment 467004 [details]
build.log


build.log for x86_64

Comment 6 FTBFS 2010-12-07 18:49:04 UTC
Created attachment 467005 [details]
mock.log


mock.log for x86_64

Comment 7 Peter Lemenkov 2011-03-05 13:54:32 UTC
I'll take it.

Comment 8 Fedora Update System 2011-03-06 05:17:49 UTC
fvwm-2.5.30-4.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/fvwm-2.5.30-4.fc15

Comment 9 Fedora Update System 2011-03-06 17:46:20 UTC
fvwm-2.5.30-4.fc15 has been pushed to the Fedora 15 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update fvwm'.  You can provide feedback for this update here: https://admin.fedoraproject.org/updates/fvwm-2.5.30-4.fc15

Comment 10 Fedora Update System 2011-03-12 04:43:37 UTC
fvwm-2.5.30-4.fc15 has been pushed to the Fedora 15 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.